Skip to main content
PUT
/
v1
/
public
/
catalog
/
drafts
/
{id}
Create or update a booking draft (storefront)
curl --request PUT \
  --url https://{operatorDomain}/v1/public/catalog/drafts/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "draftPayload": {},
  "entityModule": "<string>",
  "entityId": "<string>",
  "sourceKind": "<string>",
  "sourceConnectionId": "<string>",
  "sourceRef": "<string>",
  "currentStep": "<string>",
  "currentQuoteId": "<string>",
  "ttlMs": 123
}
'
{
  "id": "<string>",
  "entityModule": "<string>",
  "entityId": "<string>",
  "sourceKind": "<string>",
  "draftPayload": {},
  "currentStep": "<string>",
  "currentQuoteId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

Body

application/json
draftPayload
object
required
entityModule
string
entityId
string
sourceKind
string
sourceConnectionId
string
sourceRef
string
currentStep
string
currentQuoteId
string
ttlMs
integer

Response

Updated draft

id
string
entityModule
string
entityId
string
sourceKind
string
draftPayload
object
currentStep
string | null
currentQuoteId
string | null
createdAt
string<date-time>
expiresAt
string<date-time>